Home > IT Services > Contensis FAQs > Browsers - Which browsers can I use for Contensis?
More in this section FAQ Articles

Browsers - Which browsers can I use for Contensis?

Question:
Browsers - Which browsers can I use for Contensis?
Answer:

Contensis can be used with the following browsers:

Click here to Show Me

  • Internet Explorer (at least version 7)
  • Firefox (at least version 3.5)
  • Google Chrome
  • Mac OS
  • Safari.

Click here to start the Contensis e-training Course                                                                                                     Click here to open the Contensis User Training Manual


 
 
 

Comment on this page

Did you find the information you were looking for? Is there a broken link or content that needs updating? Let us know so we can improve the page.

Note: If you need further information or have a question that cannot be satisfied by this page, please call our switchboard on +44 (0)1784 434455.

This window will close when you submit your comment.

Add Your Feedback
Close